IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network240.44.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
- Network address
240.44.0.0- Broadcast address
240.44.255.255- First usable
240.44.0.1- Last usable
240.44.255.254- Usable hosts
- 65,534 (65,536 less the network and broadcast addresses)
- Subnet mask
255.255.0.0- Wildcard mask
0.0.255.255(Cisco ACLs, OSPF)- Prefix length
- /16
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F02C0000· Integer4029415424to4029480959 - Reverse DNS zone
44.240.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110000.00101100..00000000.00000000 | 240.44.0.0 |
| Subnet mask | 11111111.11111111..00000000.00000000 | 255.255.0.0 |
| Network | 11110000.00101100..00000000.00000000 | 240.44.0.0 |
| Broadcast | 11110000.00101100..11111111.11111111 | 240.44.255.255 |
Split into smaller subnets
/17 (2)/18 (4)/19 (8)/20 (16)/21 (32)/22 (64)/23 (128)/24 (256)/25 (512)/26 (1,024)/27 (2,048)/28 (4,096)
240.44.0.0/16 makes 256 subnets of /24.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 240.44.0.0/24 | 240.44.0.1 to 240.44.0.254 | 240.44.0.255 | 254 |
| 2 | 240.44.1.0/24 | 240.44.1.1 to 240.44.1.254 | 240.44.1.255 | 254 |
| 3 | 240.44.2.0/24 | 240.44.2.1 to 240.44.2.254 | 240.44.2.255 | 254 |
| 4 | 240.44.3.0/24 | 240.44.3.1 to 240.44.3.254 | 240.44.3.255 | 254 |
| 5 | 240.44.4.0/24 | 240.44.4.1 to 240.44.4.254 | 240.44.4.255 | 254 |
| 6 | 240.44.5.0/24 | 240.44.5.1 to 240.44.5.254 | 240.44.5.255 | 254 |
| 7 | 240.44.6.0/24 | 240.44.6.1 to 240.44.6.254 | 240.44.6.255 | 254 |
| 8 | 240.44.7.0/24 | 240.44.7.1 to 240.44.7.254 | 240.44.7.255 | 254 |
| 9 | 240.44.8.0/24 | 240.44.8.1 to 240.44.8.254 | 240.44.8.255 | 254 |
| 10 | 240.44.9.0/24 | 240.44.9.1 to 240.44.9.254 | 240.44.9.255 | 254 |
| 11 | 240.44.10.0/24 | 240.44.10.1 to 240.44.10.254 | 240.44.10.255 | 254 |
| 12 | 240.44.11.0/24 | 240.44.11.1 to 240.44.11.254 | 240.44.11.255 | 254 |
| 13 | 240.44.12.0/24 | 240.44.12.1 to 240.44.12.254 | 240.44.12.255 | 254 |
| 14 | 240.44.13.0/24 | 240.44.13.1 to 240.44.13.254 | 240.44.13.255 | 254 |
| 15 | 240.44.14.0/24 | 240.44.14.1 to 240.44.14.254 | 240.44.14.255 | 254 |
| 16 | 240.44.15.0/24 | 240.44.15.1 to 240.44.15.254 | 240.44.15.255 | 254 |
| 17 | 240.44.16.0/24 | 240.44.16.1 to 240.44.16.254 | 240.44.16.255 | 254 |
| 18 | 240.44.17.0/24 | 240.44.17.1 to 240.44.17.254 | 240.44.17.255 | 254 |
| 19 | 240.44.18.0/24 | 240.44.18.1 to 240.44.18.254 | 240.44.18.255 | 254 |
| 20 | 240.44.19.0/24 | 240.44.19.1 to 240.44.19.254 | 240.44.19.255 | 254 |
| 21 | 240.44.20.0/24 | 240.44.20.1 to 240.44.20.254 | 240.44.20.255 | 254 |
| 22 | 240.44.21.0/24 | 240.44.21.1 to 240.44.21.254 | 240.44.21.255 | 254 |
| 23 | 240.44.22.0/24 | 240.44.22.1 to 240.44.22.254 | 240.44.22.255 | 254 |
| 24 | 240.44.23.0/24 | 240.44.23.1 to 240.44.23.254 | 240.44.23.255 | 254 |
| 25 | 240.44.24.0/24 | 240.44.24.1 to 240.44.24.254 | 240.44.24.255 | 254 |
| 26 | 240.44.25.0/24 | 240.44.25.1 to 240.44.25.254 | 240.44.25.255 | 254 |
| 27 | 240.44.26.0/24 | 240.44.26.1 to 240.44.26.254 | 240.44.26.255 | 254 |
| 28 | 240.44.27.0/24 | 240.44.27.1 to 240.44.27.254 | 240.44.27.255 | 254 |
| 29 | 240.44.28.0/24 | 240.44.28.1 to 240.44.28.254 | 240.44.28.255 | 254 |
| 30 | 240.44.29.0/24 | 240.44.29.1 to 240.44.29.254 | 240.44.29.255 | 254 |
| 31 | 240.44.30.0/24 | 240.44.30.1 to 240.44.30.254 | 240.44.30.255 | 254 |
| 32 | 240.44.31.0/24 | 240.44.31.1 to 240.44.31.254 | 240.44.31.255 | 254 |
| 33 | 240.44.32.0/24 | 240.44.32.1 to 240.44.32.254 | 240.44.32.255 | 254 |
| 34 | 240.44.33.0/24 | 240.44.33.1 to 240.44.33.254 | 240.44.33.255 | 254 |
| 35 | 240.44.34.0/24 | 240.44.34.1 to 240.44.34.254 | 240.44.34.255 | 254 |
| 36 | 240.44.35.0/24 | 240.44.35.1 to 240.44.35.254 | 240.44.35.255 | 254 |
| 37 | 240.44.36.0/24 | 240.44.36.1 to 240.44.36.254 | 240.44.36.255 | 254 |
| 38 | 240.44.37.0/24 | 240.44.37.1 to 240.44.37.254 | 240.44.37.255 | 254 |
| 39 | 240.44.38.0/24 | 240.44.38.1 to 240.44.38.254 | 240.44.38.255 | 254 |
| 40 | 240.44.39.0/24 | 240.44.39.1 to 240.44.39.254 | 240.44.39.255 | 254 |
| 41 | 240.44.40.0/24 | 240.44.40.1 to 240.44.40.254 | 240.44.40.255 | 254 |
| 42 | 240.44.41.0/24 | 240.44.41.1 to 240.44.41.254 | 240.44.41.255 | 254 |
| 43 | 240.44.42.0/24 | 240.44.42.1 to 240.44.42.254 | 240.44.42.255 | 254 |
| 44 | 240.44.43.0/24 | 240.44.43.1 to 240.44.43.254 | 240.44.43.255 | 254 |
| 45 | 240.44.44.0/24 | 240.44.44.1 to 240.44.44.254 | 240.44.44.255 | 254 |
| 46 | 240.44.45.0/24 | 240.44.45.1 to 240.44.45.254 | 240.44.45.255 | 254 |
| 47 | 240.44.46.0/24 | 240.44.46.1 to 240.44.46.254 | 240.44.46.255 | 254 |
| 48 | 240.44.47.0/24 | 240.44.47.1 to 240.44.47.254 | 240.44.47.255 | 254 |
| 49 | 240.44.48.0/24 | 240.44.48.1 to 240.44.48.254 | 240.44.48.255 | 254 |
| 50 | 240.44.49.0/24 | 240.44.49.1 to 240.44.49.254 | 240.44.49.255 | 254 |
| 51 | 240.44.50.0/24 | 240.44.50.1 to 240.44.50.254 | 240.44.50.255 | 254 |
| 52 | 240.44.51.0/24 | 240.44.51.1 to 240.44.51.254 | 240.44.51.255 | 254 |
| 53 | 240.44.52.0/24 | 240.44.52.1 to 240.44.52.254 | 240.44.52.255 | 254 |
| 54 | 240.44.53.0/24 | 240.44.53.1 to 240.44.53.254 | 240.44.53.255 | 254 |
| 55 | 240.44.54.0/24 | 240.44.54.1 to 240.44.54.254 | 240.44.54.255 | 254 |
| 56 | 240.44.55.0/24 | 240.44.55.1 to 240.44.55.254 | 240.44.55.255 | 254 |
| 57 | 240.44.56.0/24 | 240.44.56.1 to 240.44.56.254 | 240.44.56.255 | 254 |
| 58 | 240.44.57.0/24 | 240.44.57.1 to 240.44.57.254 | 240.44.57.255 | 254 |
| 59 | 240.44.58.0/24 | 240.44.58.1 to 240.44.58.254 | 240.44.58.255 | 254 |
| 60 | 240.44.59.0/24 | 240.44.59.1 to 240.44.59.254 | 240.44.59.255 | 254 |
| 61 | 240.44.60.0/24 | 240.44.60.1 to 240.44.60.254 | 240.44.60.255 | 254 |
| 62 | 240.44.61.0/24 | 240.44.61.1 to 240.44.61.254 | 240.44.61.255 | 254 |
| 63 | 240.44.62.0/24 | 240.44.62.1 to 240.44.62.254 | 240.44.62.255 | 254 |
| 64 | 240.44.63.0/24 | 240.44.63.1 to 240.44.63.254 | 240.44.63.255 | 254 |
| 65 | 240.44.64.0/24 | 240.44.64.1 to 240.44.64.254 | 240.44.64.255 | 254 |
| 66 | 240.44.65.0/24 | 240.44.65.1 to 240.44.65.254 | 240.44.65.255 | 254 |
| 67 | 240.44.66.0/24 | 240.44.66.1 to 240.44.66.254 | 240.44.66.255 | 254 |
| 68 | 240.44.67.0/24 | 240.44.67.1 to 240.44.67.254 | 240.44.67.255 | 254 |
| 69 | 240.44.68.0/24 | 240.44.68.1 to 240.44.68.254 | 240.44.68.255 | 254 |
| 70 | 240.44.69.0/24 | 240.44.69.1 to 240.44.69.254 | 240.44.69.255 | 254 |
| 71 | 240.44.70.0/24 | 240.44.70.1 to 240.44.70.254 | 240.44.70.255 | 254 |
| 72 | 240.44.71.0/24 | 240.44.71.1 to 240.44.71.254 | 240.44.71.255 | 254 |
| 73 | 240.44.72.0/24 | 240.44.72.1 to 240.44.72.254 | 240.44.72.255 | 254 |
| 74 | 240.44.73.0/24 | 240.44.73.1 to 240.44.73.254 | 240.44.73.255 | 254 |
| 75 | 240.44.74.0/24 | 240.44.74.1 to 240.44.74.254 | 240.44.74.255 | 254 |
| 76 | 240.44.75.0/24 | 240.44.75.1 to 240.44.75.254 | 240.44.75.255 | 254 |
| 77 | 240.44.76.0/24 | 240.44.76.1 to 240.44.76.254 | 240.44.76.255 | 254 |
| 78 | 240.44.77.0/24 | 240.44.77.1 to 240.44.77.254 | 240.44.77.255 | 254 |
| 79 | 240.44.78.0/24 | 240.44.78.1 to 240.44.78.254 | 240.44.78.255 | 254 |
| 80 | 240.44.79.0/24 | 240.44.79.1 to 240.44.79.254 | 240.44.79.255 | 254 |
| 81 | 240.44.80.0/24 | 240.44.80.1 to 240.44.80.254 | 240.44.80.255 | 254 |
| 82 | 240.44.81.0/24 | 240.44.81.1 to 240.44.81.254 | 240.44.81.255 | 254 |
| 83 | 240.44.82.0/24 | 240.44.82.1 to 240.44.82.254 | 240.44.82.255 | 254 |
| 84 | 240.44.83.0/24 | 240.44.83.1 to 240.44.83.254 | 240.44.83.255 | 254 |
| 85 | 240.44.84.0/24 | 240.44.84.1 to 240.44.84.254 | 240.44.84.255 | 254 |
| 86 | 240.44.85.0/24 | 240.44.85.1 to 240.44.85.254 | 240.44.85.255 | 254 |
| 87 | 240.44.86.0/24 | 240.44.86.1 to 240.44.86.254 | 240.44.86.255 | 254 |
| 88 | 240.44.87.0/24 | 240.44.87.1 to 240.44.87.254 | 240.44.87.255 | 254 |
| 89 | 240.44.88.0/24 | 240.44.88.1 to 240.44.88.254 | 240.44.88.255 | 254 |
| 90 | 240.44.89.0/24 | 240.44.89.1 to 240.44.89.254 | 240.44.89.255 | 254 |
| 91 | 240.44.90.0/24 | 240.44.90.1 to 240.44.90.254 | 240.44.90.255 | 254 |
| 92 | 240.44.91.0/24 | 240.44.91.1 to 240.44.91.254 | 240.44.91.255 | 254 |
| 93 | 240.44.92.0/24 | 240.44.92.1 to 240.44.92.254 | 240.44.92.255 | 254 |
| 94 | 240.44.93.0/24 | 240.44.93.1 to 240.44.93.254 | 240.44.93.255 | 254 |
| 95 | 240.44.94.0/24 | 240.44.94.1 to 240.44.94.254 | 240.44.94.255 | 254 |
| 96 | 240.44.95.0/24 | 240.44.95.1 to 240.44.95.254 | 240.44.95.255 | 254 |
| 97 | 240.44.96.0/24 | 240.44.96.1 to 240.44.96.254 | 240.44.96.255 | 254 |
| 98 | 240.44.97.0/24 | 240.44.97.1 to 240.44.97.254 | 240.44.97.255 | 254 |
| 99 | 240.44.98.0/24 | 240.44.98.1 to 240.44.98.254 | 240.44.98.255 | 254 |
| 100 | 240.44.99.0/24 | 240.44.99.1 to 240.44.99.254 | 240.44.99.255 | 254 |
| 101 | 240.44.100.0/24 | 240.44.100.1 to 240.44.100.254 | 240.44.100.255 | 254 |
| 102 | 240.44.101.0/24 | 240.44.101.1 to 240.44.101.254 | 240.44.101.255 | 254 |
| 103 | 240.44.102.0/24 | 240.44.102.1 to 240.44.102.254 | 240.44.102.255 | 254 |
| 104 | 240.44.103.0/24 | 240.44.103.1 to 240.44.103.254 | 240.44.103.255 | 254 |
| 105 | 240.44.104.0/24 | 240.44.104.1 to 240.44.104.254 | 240.44.104.255 | 254 |
| 106 | 240.44.105.0/24 | 240.44.105.1 to 240.44.105.254 | 240.44.105.255 | 254 |
| 107 | 240.44.106.0/24 | 240.44.106.1 to 240.44.106.254 | 240.44.106.255 | 254 |
| 108 | 240.44.107.0/24 | 240.44.107.1 to 240.44.107.254 | 240.44.107.255 | 254 |
| 109 | 240.44.108.0/24 | 240.44.108.1 to 240.44.108.254 | 240.44.108.255 | 254 |
| 110 | 240.44.109.0/24 | 240.44.109.1 to 240.44.109.254 | 240.44.109.255 | 254 |
| 111 | 240.44.110.0/24 | 240.44.110.1 to 240.44.110.254 | 240.44.110.255 | 254 |
| 112 | 240.44.111.0/24 | 240.44.111.1 to 240.44.111.254 | 240.44.111.255 | 254 |
| 113 | 240.44.112.0/24 | 240.44.112.1 to 240.44.112.254 | 240.44.112.255 | 254 |
| 114 | 240.44.113.0/24 | 240.44.113.1 to 240.44.113.254 | 240.44.113.255 | 254 |
| 115 | 240.44.114.0/24 | 240.44.114.1 to 240.44.114.254 | 240.44.114.255 | 254 |
| 116 | 240.44.115.0/24 | 240.44.115.1 to 240.44.115.254 | 240.44.115.255 | 254 |
| 117 | 240.44.116.0/24 | 240.44.116.1 to 240.44.116.254 | 240.44.116.255 | 254 |
| 118 | 240.44.117.0/24 | 240.44.117.1 to 240.44.117.254 | 240.44.117.255 | 254 |
| 119 | 240.44.118.0/24 | 240.44.118.1 to 240.44.118.254 | 240.44.118.255 | 254 |
| 120 | 240.44.119.0/24 | 240.44.119.1 to 240.44.119.254 | 240.44.119.255 | 254 |
| 121 | 240.44.120.0/24 | 240.44.120.1 to 240.44.120.254 | 240.44.120.255 | 254 |
| 122 | 240.44.121.0/24 | 240.44.121.1 to 240.44.121.254 | 240.44.121.255 | 254 |
| 123 | 240.44.122.0/24 | 240.44.122.1 to 240.44.122.254 | 240.44.122.255 | 254 |
| 124 | 240.44.123.0/24 | 240.44.123.1 to 240.44.123.254 | 240.44.123.255 | 254 |
| 125 | 240.44.124.0/24 | 240.44.124.1 to 240.44.124.254 | 240.44.124.255 | 254 |
| 126 | 240.44.125.0/24 | 240.44.125.1 to 240.44.125.254 | 240.44.125.255 | 254 |
| 127 | 240.44.126.0/24 | 240.44.126.1 to 240.44.126.254 | 240.44.126.255 | 254 |
| 128 | 240.44.127.0/24 | 240.44.127.1 to 240.44.127.254 | 240.44.127.255 | 254 |
| 129 | 240.44.128.0/24 | 240.44.128.1 to 240.44.128.254 | 240.44.128.255 | 254 |
| 130 | 240.44.129.0/24 | 240.44.129.1 to 240.44.129.254 | 240.44.129.255 | 254 |
| 131 | 240.44.130.0/24 | 240.44.130.1 to 240.44.130.254 | 240.44.130.255 | 254 |
| 132 | 240.44.131.0/24 | 240.44.131.1 to 240.44.131.254 | 240.44.131.255 | 254 |
| 133 | 240.44.132.0/24 | 240.44.132.1 to 240.44.132.254 | 240.44.132.255 | 254 |
| 134 | 240.44.133.0/24 | 240.44.133.1 to 240.44.133.254 | 240.44.133.255 | 254 |
| 135 | 240.44.134.0/24 | 240.44.134.1 to 240.44.134.254 | 240.44.134.255 | 254 |
| 136 | 240.44.135.0/24 | 240.44.135.1 to 240.44.135.254 | 240.44.135.255 | 254 |
| 137 | 240.44.136.0/24 | 240.44.136.1 to 240.44.136.254 | 240.44.136.255 | 254 |
| 138 | 240.44.137.0/24 | 240.44.137.1 to 240.44.137.254 | 240.44.137.255 | 254 |
| 139 | 240.44.138.0/24 | 240.44.138.1 to 240.44.138.254 | 240.44.138.255 | 254 |
| 140 | 240.44.139.0/24 | 240.44.139.1 to 240.44.139.254 | 240.44.139.255 | 254 |
| 141 | 240.44.140.0/24 | 240.44.140.1 to 240.44.140.254 | 240.44.140.255 | 254 |
| 142 | 240.44.141.0/24 | 240.44.141.1 to 240.44.141.254 | 240.44.141.255 | 254 |
| 143 | 240.44.142.0/24 | 240.44.142.1 to 240.44.142.254 | 240.44.142.255 | 254 |
| 144 | 240.44.143.0/24 | 240.44.143.1 to 240.44.143.254 | 240.44.143.255 | 254 |
| 145 | 240.44.144.0/24 | 240.44.144.1 to 240.44.144.254 | 240.44.144.255 | 254 |
| 146 | 240.44.145.0/24 | 240.44.145.1 to 240.44.145.254 | 240.44.145.255 | 254 |
| 147 | 240.44.146.0/24 | 240.44.146.1 to 240.44.146.254 | 240.44.146.255 | 254 |
| 148 | 240.44.147.0/24 | 240.44.147.1 to 240.44.147.254 | 240.44.147.255 | 254 |
| 149 | 240.44.148.0/24 | 240.44.148.1 to 240.44.148.254 | 240.44.148.255 | 254 |
| 150 | 240.44.149.0/24 | 240.44.149.1 to 240.44.149.254 | 240.44.149.255 | 254 |
| 151 | 240.44.150.0/24 | 240.44.150.1 to 240.44.150.254 | 240.44.150.255 | 254 |
| 152 | 240.44.151.0/24 | 240.44.151.1 to 240.44.151.254 | 240.44.151.255 | 254 |
| 153 | 240.44.152.0/24 | 240.44.152.1 to 240.44.152.254 | 240.44.152.255 | 254 |
| 154 | 240.44.153.0/24 | 240.44.153.1 to 240.44.153.254 | 240.44.153.255 | 254 |
| 155 | 240.44.154.0/24 | 240.44.154.1 to 240.44.154.254 | 240.44.154.255 | 254 |
| 156 | 240.44.155.0/24 | 240.44.155.1 to 240.44.155.254 | 240.44.155.255 | 254 |
| 157 | 240.44.156.0/24 | 240.44.156.1 to 240.44.156.254 | 240.44.156.255 | 254 |
| 158 | 240.44.157.0/24 | 240.44.157.1 to 240.44.157.254 | 240.44.157.255 | 254 |
| 159 | 240.44.158.0/24 | 240.44.158.1 to 240.44.158.254 | 240.44.158.255 | 254 |
| 160 | 240.44.159.0/24 | 240.44.159.1 to 240.44.159.254 | 240.44.159.255 | 254 |
| 161 | 240.44.160.0/24 | 240.44.160.1 to 240.44.160.254 | 240.44.160.255 | 254 |
| 162 | 240.44.161.0/24 | 240.44.161.1 to 240.44.161.254 | 240.44.161.255 | 254 |
| 163 | 240.44.162.0/24 | 240.44.162.1 to 240.44.162.254 | 240.44.162.255 | 254 |
| 164 | 240.44.163.0/24 | 240.44.163.1 to 240.44.163.254 | 240.44.163.255 | 254 |
| 165 | 240.44.164.0/24 | 240.44.164.1 to 240.44.164.254 | 240.44.164.255 | 254 |
| 166 | 240.44.165.0/24 | 240.44.165.1 to 240.44.165.254 | 240.44.165.255 | 254 |
| 167 | 240.44.166.0/24 | 240.44.166.1 to 240.44.166.254 | 240.44.166.255 | 254 |
| 168 | 240.44.167.0/24 | 240.44.167.1 to 240.44.167.254 | 240.44.167.255 | 254 |
| 169 | 240.44.168.0/24 | 240.44.168.1 to 240.44.168.254 | 240.44.168.255 | 254 |
| 170 | 240.44.169.0/24 | 240.44.169.1 to 240.44.169.254 | 240.44.169.255 | 254 |
| 171 | 240.44.170.0/24 | 240.44.170.1 to 240.44.170.254 | 240.44.170.255 | 254 |
| 172 | 240.44.171.0/24 | 240.44.171.1 to 240.44.171.254 | 240.44.171.255 | 254 |
| 173 | 240.44.172.0/24 | 240.44.172.1 to 240.44.172.254 | 240.44.172.255 | 254 |
| 174 | 240.44.173.0/24 | 240.44.173.1 to 240.44.173.254 | 240.44.173.255 | 254 |
| 175 | 240.44.174.0/24 | 240.44.174.1 to 240.44.174.254 | 240.44.174.255 | 254 |
| 176 | 240.44.175.0/24 | 240.44.175.1 to 240.44.175.254 | 240.44.175.255 | 254 |
| 177 | 240.44.176.0/24 | 240.44.176.1 to 240.44.176.254 | 240.44.176.255 | 254 |
| 178 | 240.44.177.0/24 | 240.44.177.1 to 240.44.177.254 | 240.44.177.255 | 254 |
| 179 | 240.44.178.0/24 | 240.44.178.1 to 240.44.178.254 | 240.44.178.255 | 254 |
| 180 | 240.44.179.0/24 | 240.44.179.1 to 240.44.179.254 | 240.44.179.255 | 254 |
| 181 | 240.44.180.0/24 | 240.44.180.1 to 240.44.180.254 | 240.44.180.255 | 254 |
| 182 | 240.44.181.0/24 | 240.44.181.1 to 240.44.181.254 | 240.44.181.255 | 254 |
| 183 | 240.44.182.0/24 | 240.44.182.1 to 240.44.182.254 | 240.44.182.255 | 254 |
| 184 | 240.44.183.0/24 | 240.44.183.1 to 240.44.183.254 | 240.44.183.255 | 254 |
| 185 | 240.44.184.0/24 | 240.44.184.1 to 240.44.184.254 | 240.44.184.255 | 254 |
| 186 | 240.44.185.0/24 | 240.44.185.1 to 240.44.185.254 | 240.44.185.255 | 254 |
| 187 | 240.44.186.0/24 | 240.44.186.1 to 240.44.186.254 | 240.44.186.255 | 254 |
| 188 | 240.44.187.0/24 | 240.44.187.1 to 240.44.187.254 | 240.44.187.255 | 254 |
| 189 | 240.44.188.0/24 | 240.44.188.1 to 240.44.188.254 | 240.44.188.255 | 254 |
| 190 | 240.44.189.0/24 | 240.44.189.1 to 240.44.189.254 | 240.44.189.255 | 254 |
| 191 | 240.44.190.0/24 | 240.44.190.1 to 240.44.190.254 | 240.44.190.255 | 254 |
| 192 | 240.44.191.0/24 | 240.44.191.1 to 240.44.191.254 | 240.44.191.255 | 254 |
| 193 | 240.44.192.0/24 | 240.44.192.1 to 240.44.192.254 | 240.44.192.255 | 254 |
| 194 | 240.44.193.0/24 | 240.44.193.1 to 240.44.193.254 | 240.44.193.255 | 254 |
| 195 | 240.44.194.0/24 | 240.44.194.1 to 240.44.194.254 | 240.44.194.255 | 254 |
| 196 | 240.44.195.0/24 | 240.44.195.1 to 240.44.195.254 | 240.44.195.255 | 254 |
| 197 | 240.44.196.0/24 | 240.44.196.1 to 240.44.196.254 | 240.44.196.255 | 254 |
| 198 | 240.44.197.0/24 | 240.44.197.1 to 240.44.197.254 | 240.44.197.255 | 254 |
| 199 | 240.44.198.0/24 | 240.44.198.1 to 240.44.198.254 | 240.44.198.255 | 254 |
| 200 | 240.44.199.0/24 | 240.44.199.1 to 240.44.199.254 | 240.44.199.255 | 254 |
| 201 | 240.44.200.0/24 | 240.44.200.1 to 240.44.200.254 | 240.44.200.255 | 254 |
| 202 | 240.44.201.0/24 | 240.44.201.1 to 240.44.201.254 | 240.44.201.255 | 254 |
| 203 | 240.44.202.0/24 | 240.44.202.1 to 240.44.202.254 | 240.44.202.255 | 254 |
| 204 | 240.44.203.0/24 | 240.44.203.1 to 240.44.203.254 | 240.44.203.255 | 254 |
| 205 | 240.44.204.0/24 | 240.44.204.1 to 240.44.204.254 | 240.44.204.255 | 254 |
| 206 | 240.44.205.0/24 | 240.44.205.1 to 240.44.205.254 | 240.44.205.255 | 254 |
| 207 | 240.44.206.0/24 | 240.44.206.1 to 240.44.206.254 | 240.44.206.255 | 254 |
| 208 | 240.44.207.0/24 | 240.44.207.1 to 240.44.207.254 | 240.44.207.255 | 254 |
| 209 | 240.44.208.0/24 | 240.44.208.1 to 240.44.208.254 | 240.44.208.255 | 254 |
| 210 | 240.44.209.0/24 | 240.44.209.1 to 240.44.209.254 | 240.44.209.255 | 254 |
| 211 | 240.44.210.0/24 | 240.44.210.1 to 240.44.210.254 | 240.44.210.255 | 254 |
| 212 | 240.44.211.0/24 | 240.44.211.1 to 240.44.211.254 | 240.44.211.255 | 254 |
| 213 | 240.44.212.0/24 | 240.44.212.1 to 240.44.212.254 | 240.44.212.255 | 254 |
| 214 | 240.44.213.0/24 | 240.44.213.1 to 240.44.213.254 | 240.44.213.255 | 254 |
| 215 | 240.44.214.0/24 | 240.44.214.1 to 240.44.214.254 | 240.44.214.255 | 254 |
| 216 | 240.44.215.0/24 | 240.44.215.1 to 240.44.215.254 | 240.44.215.255 | 254 |
| 217 | 240.44.216.0/24 | 240.44.216.1 to 240.44.216.254 | 240.44.216.255 | 254 |
| 218 | 240.44.217.0/24 | 240.44.217.1 to 240.44.217.254 | 240.44.217.255 | 254 |
| 219 | 240.44.218.0/24 | 240.44.218.1 to 240.44.218.254 | 240.44.218.255 | 254 |
| 220 | 240.44.219.0/24 | 240.44.219.1 to 240.44.219.254 | 240.44.219.255 | 254 |
| 221 | 240.44.220.0/24 | 240.44.220.1 to 240.44.220.254 | 240.44.220.255 | 254 |
| 222 | 240.44.221.0/24 | 240.44.221.1 to 240.44.221.254 | 240.44.221.255 | 254 |
| 223 | 240.44.222.0/24 | 240.44.222.1 to 240.44.222.254 | 240.44.222.255 | 254 |
| 224 | 240.44.223.0/24 | 240.44.223.1 to 240.44.223.254 | 240.44.223.255 | 254 |
| 225 | 240.44.224.0/24 | 240.44.224.1 to 240.44.224.254 | 240.44.224.255 | 254 |
| 226 | 240.44.225.0/24 | 240.44.225.1 to 240.44.225.254 | 240.44.225.255 | 254 |
| 227 | 240.44.226.0/24 | 240.44.226.1 to 240.44.226.254 | 240.44.226.255 | 254 |
| 228 | 240.44.227.0/24 | 240.44.227.1 to 240.44.227.254 | 240.44.227.255 | 254 |
| 229 | 240.44.228.0/24 | 240.44.228.1 to 240.44.228.254 | 240.44.228.255 | 254 |
| 230 | 240.44.229.0/24 | 240.44.229.1 to 240.44.229.254 | 240.44.229.255 | 254 |
| 231 | 240.44.230.0/24 | 240.44.230.1 to 240.44.230.254 | 240.44.230.255 | 254 |
| 232 | 240.44.231.0/24 | 240.44.231.1 to 240.44.231.254 | 240.44.231.255 | 254 |
| 233 | 240.44.232.0/24 | 240.44.232.1 to 240.44.232.254 | 240.44.232.255 | 254 |
| 234 | 240.44.233.0/24 | 240.44.233.1 to 240.44.233.254 | 240.44.233.255 | 254 |
| 235 | 240.44.234.0/24 | 240.44.234.1 to 240.44.234.254 | 240.44.234.255 | 254 |
| 236 | 240.44.235.0/24 | 240.44.235.1 to 240.44.235.254 | 240.44.235.255 | 254 |
| 237 | 240.44.236.0/24 | 240.44.236.1 to 240.44.236.254 | 240.44.236.255 | 254 |
| 238 | 240.44.237.0/24 | 240.44.237.1 to 240.44.237.254 | 240.44.237.255 | 254 |
| 239 | 240.44.238.0/24 | 240.44.238.1 to 240.44.238.254 | 240.44.238.255 | 254 |
| 240 | 240.44.239.0/24 | 240.44.239.1 to 240.44.239.254 | 240.44.239.255 | 254 |
| 241 | 240.44.240.0/24 | 240.44.240.1 to 240.44.240.254 | 240.44.240.255 | 254 |
| 242 | 240.44.241.0/24 | 240.44.241.1 to 240.44.241.254 | 240.44.241.255 | 254 |
| 243 | 240.44.242.0/24 | 240.44.242.1 to 240.44.242.254 | 240.44.242.255 | 254 |
| 244 | 240.44.243.0/24 | 240.44.243.1 to 240.44.243.254 | 240.44.243.255 | 254 |
| 245 | 240.44.244.0/24 | 240.44.244.1 to 240.44.244.254 | 240.44.244.255 | 254 |
| 246 | 240.44.245.0/24 | 240.44.245.1 to 240.44.245.254 | 240.44.245.255 | 254 |
| 247 | 240.44.246.0/24 | 240.44.246.1 to 240.44.246.254 | 240.44.246.255 | 254 |
| 248 | 240.44.247.0/24 | 240.44.247.1 to 240.44.247.254 | 240.44.247.255 | 254 |
| 249 | 240.44.248.0/24 | 240.44.248.1 to 240.44.248.254 | 240.44.248.255 | 254 |
| 250 | 240.44.249.0/24 | 240.44.249.1 to 240.44.249.254 | 240.44.249.255 | 254 |
| 251 | 240.44.250.0/24 | 240.44.250.1 to 240.44.250.254 | 240.44.250.255 | 254 |
| 252 | 240.44.251.0/24 | 240.44.251.1 to 240.44.251.254 | 240.44.251.255 | 254 |
| 253 | 240.44.252.0/24 | 240.44.252.1 to 240.44.252.254 | 240.44.252.255 | 254 |
| 254 | 240.44.253.0/24 | 240.44.253.1 to 240.44.253.254 | 240.44.253.255 | 254 |
| 255 | 240.44.254.0/24 | 240.44.254.1 to 240.44.254.254 | 240.44.254.255 | 254 |
| 256 | 240.44.255.0/24 | 240.44.255.1 to 240.44.255.254 | 240.44.255.255 | 254 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |